LIBNAME OUT95 "\\cdc.gov\private\L735\AED2\DATA\NSFG\1995";
LIBNAME OUT02 "\\cdc.gov\private\L735\AED2\DATA\NSFG\2002";
LIBNAME OUT10 "\\cdc.gov\private\L735\AED2\DATA\NSFG\2006-2010";
LIBNAME IN  "\\cdc.gov\private\M728\aed2\Teen Birth Cohorts\DATA";
DATA NSFG95;
SET OUT95.NSFG95F;

CYCLE = 1;
AGE_R = AGE; 

CMINTVW = .;
IF MONCOMP =  1 THEN CMINTVW = 1141;			IF MONCOMP =  2 THEN CMINTVW = 1142;		IF MONCOMP =  3 THEN CMINTVW = 1143;			IF MONCOMP =  4 THEN CMINTVW = 1144;
IF MONCOMP =  5 THEN CMINTVW = 1145;			IF MONCOMP =  6 THEN CMINTVW = 1146;		IF MONCOMP =  7 THEN CMINTVW = 1147;			IF MONCOMP =  8 THEN CMINTVW = 1148;
IF MONCOMP =  9 THEN CMINTVW = 1149;			IF MONCOMP = 10 THEN CMINTVW = 1150;		IF MONCOMP = 11 THEN CMINTVW = 1151;			IF MONCOMP = 12 THEN CMINTVW = 1152;

CMBIRTH = BDAYCENM; 

CMAGE = (CMINTVW - CMBIRTH)/12;
CMAGE20 = 0;
IF CMAGE GE 20 THEN CMAGE20 = 1;
LABEL CMAGE = 'AGE IN CENTURY MONTHS (MONCOMP, BDAYCENM)'
	  CMAGE20 = '20 OR OLDER AT INTW'; 

YOB = .;
IF  661 LE CMBIRTH LE  672 THEN YOB = 1955;		IF  673 LE CMBIRTH LE  684 THEN YOB = 1956;		IF  685 LE CMBIRTH LE  696 THEN YOB = 1957;		IF  697 LE CMBIRTH LE  708 THEN YOB = 1958;		
IF  709 LE CMBIRTH LE  720 THEN YOB = 1959;		IF  721 LE CMBIRTH LE  732 THEN YOB = 1960;		IF  733 LE CMBIRTH LE  744 THEN YOB = 1961;		IF  745 LE CMBIRTH LE  756 THEN YOB = 1962;
IF  757 LE CMBIRTH LE  768 THEN YOB = 1963;		IF  769 LE CMBIRTH LE  780 THEN YOB = 1964;		IF  781 LE CMBIRTH LE  792 THEN YOB = 1965;		IF  793 LE CMBIRTH LE  804 THEN YOB = 1966;
IF  805 LE CMBIRTH LE  816 THEN YOB = 1967;		IF  817 LE CMBIRTH LE  828 THEN YOB = 1968;		IF  829 LE CMBIRTH LE  840 THEN YOB = 1969;		IF  841 LE CMBIRTH LE  852 THEN YOB = 1970;
IF  853 LE CMBIRTH LE  864 THEN YOB = 1971;		IF  865 LE CMBIRTH LE  876 THEN YOB = 1972;		IF  877 LE CMBIRTH LE  888 THEN YOB = 1973;		IF  889 LE CMBIRTH LE  900 THEN YOB = 1974;
IF  901 LE CMBIRTH LE  912 THEN YOB = 1975;		IF  913 LE CMBIRTH LE  924 THEN YOB = 1976;		IF  925 LE CMBIRTH LE  936 THEN YOB = 1977;		IF  937 LE CMBIRTH LE  948 THEN YOB = 1978;
IF  949 LE CMBIRTH LE  960 THEN YOB = 1979;		IF  961 LE CMBIRTH LE  972 THEN YOB = 1980;
LABEL YOB = 'YEAR OF BIRTH (FROM CB)';

					* AGE @ 1ST BIRTH *;
CMAGEB1 = .;
IF AGEBABY1 =  600 THEN CMAGEB1 =  73;

IF AGEBABY1 =  608 THEN CMAGEB1 =  74;	IF AGEBABY1 =  617 THEN CMAGEB1 =  75;			IF AGEBABY1 =  625 THEN CMAGEB1 =  76;	IF AGEBABY1 =  633 THEN CMAGEB1 =  77;	
IF AGEBABY1 =  642 THEN CMAGEB1 =  78;	IF AGEBABY1 =  650 THEN CMAGEB1 =  79;			IF AGEBABY1 =  658 THEN CMAGEB1 =  80;	IF AGEBABY1 =  667 THEN CMAGEB1 =  81;
IF AGEBABY1 =  675 THEN CMAGEB1 =  82;	IF AGEBABY1 =  683 THEN CMAGEB1 =  83;			IF AGEBABY1 =  692 THEN CMAGEB1 =  84;	IF AGEBABY1 =  700 THEN CMAGEB1 =  85;

IF AGEBABY1 =  708 THEN CMAGEB1 =  86;	IF AGEBABY1 =  717 THEN CMAGEB1 =  87;			IF AGEBABY1 =  725 THEN CMAGEB1 =  88;	IF AGEBABY1 =  733 THEN CMAGEB1 =  89;	
IF AGEBABY1 =  742 THEN CMAGEB1 =  90;	IF AGEBABY1 =  750 THEN CMAGEB1 =  91;			IF AGEBABY1 =  758 THEN CMAGEB1 =  92;	IF AGEBABY1 =  767 THEN CMAGEB1 =  93;
IF AGEBABY1 =  775 THEN CMAGEB1 =  94;	IF AGEBABY1 =  783 THEN CMAGEB1 =  95;			IF AGEBABY1 =  792 THEN CMAGEB1 =  96;	IF AGEBABY1 =  800 THEN CMAGEB1 =  97;

IF AGEBABY1 =  808 THEN CMAGEB1 =  98;	IF AGEBABY1 =  817 THEN CMAGEB1 =  99;			IF AGEBABY1 =  825 THEN CMAGEB1 = 100;	IF AGEBABY1 =  833 THEN CMAGEB1 = 101;	
IF AGEBABY1 =  842 THEN CMAGEB1 = 102;	IF AGEBABY1 =  850 THEN CMAGEB1 = 103;			IF AGEBABY1 =  858 THEN CMAGEB1 = 104;	IF AGEBABY1 =  867 THEN CMAGEB1 = 105;
IF AGEBABY1 =  875 THEN CMAGEB1 = 106;	IF AGEBABY1 =  883 THEN CMAGEB1 = 107;			IF AGEBABY1 =  892 THEN CMAGEB1 = 108;	IF AGEBABY1 =  900 THEN CMAGEB1 = 109;

IF AGEBABY1 =  908 THEN CMAGEB1 = 110;	IF AGEBABY1 =  917 THEN CMAGEB1 = 111;			IF AGEBABY1 =  925 THEN CMAGEB1 = 112;	IF AGEBABY1 =  933 THEN CMAGEB1 = 113;	
IF AGEBABY1 =  942 THEN CMAGEB1 = 114;	IF AGEBABY1 =  950 THEN CMAGEB1 = 115;			IF AGEBABY1 =  958 THEN CMAGEB1 = 116;	IF AGEBABY1 =  967 THEN CMAGEB1 = 117;
IF AGEBABY1 =  975 THEN CMAGEB1 = 118;	IF AGEBABY1 =  983 THEN CMAGEB1 = 119;			IF AGEBABY1 =  992 THEN CMAGEB1 = 120;	IF AGEBABY1 = 1000 THEN CMAGEB1 = 121;

IF AGEBABY1 = 1008 THEN CMAGEB1 = 122;	IF AGEBABY1 = 1017 THEN CMAGEB1 = 123;			IF AGEBABY1 = 1025 THEN CMAGEB1 = 124;	IF AGEBABY1 = 1033 THEN CMAGEB1 = 125;	
IF AGEBABY1 = 1042 THEN CMAGEB1 = 126;	IF AGEBABY1 = 1050 THEN CMAGEB1 = 127;			IF AGEBABY1 = 1058 THEN CMAGEB1 = 128;	IF AGEBABY1 = 1067 THEN CMAGEB1 = 129;
IF AGEBABY1 = 1075 THEN CMAGEB1 = 130;	IF AGEBABY1 = 1083 THEN CMAGEB1 = 131;			IF AGEBABY1 = 1092 THEN CMAGEB1 = 132;	IF AGEBABY1 = 1100 THEN CMAGEB1 = 133;

IF AGEBABY1 = 1108 THEN CMAGEB1 = 134;	IF AGEBABY1 = 1117 THEN CMAGEB1 = 135;			IF AGEBABY1 = 1125 THEN CMAGEB1 = 136;	IF AGEBABY1 = 1133 THEN CMAGEB1 = 137;	
IF AGEBABY1 = 1142 THEN CMAGEB1 = 138;	IF AGEBABY1 = 1150 THEN CMAGEB1 = 139;			IF AGEBABY1 = 1158 THEN CMAGEB1 = 140;	IF AGEBABY1 = 1167 THEN CMAGEB1 = 141;
IF AGEBABY1 = 1175 THEN CMAGEB1 = 142;	IF AGEBABY1 = 1183 THEN CMAGEB1 = 143;			IF AGEBABY1 = 1192 THEN CMAGEB1 = 144;	IF AGEBABY1 = 1200 THEN CMAGEB1 = 145;

IF AGEBABY1 = 1208 THEN CMAGEB1 = 146;	IF AGEBABY1 = 1217 THEN CMAGEB1 = 147;			IF AGEBABY1 = 1225 THEN CMAGEB1 = 148;	IF AGEBABY1 = 1233 THEN CMAGEB1 = 149;	
IF AGEBABY1 = 1242 THEN CMAGEB1 = 150;	IF AGEBABY1 = 1250 THEN CMAGEB1 = 151;			IF AGEBABY1 = 1258 THEN CMAGEB1 = 152;	IF AGEBABY1 = 1267 THEN CMAGEB1 = 153;
IF AGEBABY1 = 1275 THEN CMAGEB1 = 154;	IF AGEBABY1 = 1283 THEN CMAGEB1 = 155;			IF AGEBABY1 = 1292 THEN CMAGEB1 = 156;	IF AGEBABY1 = 1300 THEN CMAGEB1 = 157;

IF AGEBABY1 = 1308 THEN CMAGEB1 = 158;	IF AGEBABY1 = 1317 THEN CMAGEB1 = 159;			IF AGEBABY1 = 1325 THEN CMAGEB1 = 160;	IF AGEBABY1 = 1333 THEN CMAGEB1 = 161;	
IF AGEBABY1 = 1342 THEN CMAGEB1 = 162;	IF AGEBABY1 = 1350 THEN CMAGEB1 = 163;			IF AGEBABY1 = 1358 THEN CMAGEB1 = 164;	IF AGEBABY1 = 1367 THEN CMAGEB1 = 165;
IF AGEBABY1 = 1375 THEN CMAGEB1 = 166;	IF AGEBABY1 = 1383 THEN CMAGEB1 = 167;			IF AGEBABY1 = 1392 THEN CMAGEB1 = 168;	IF AGEBABY1 = 1400 THEN CMAGEB1 = 169;

IF AGEBABY1 = 1408 THEN CMAGEB1 = 170;	IF AGEBABY1 = 1417 THEN CMAGEB1 = 171;			IF AGEBABY1 = 1425 THEN CMAGEB1 = 172;	IF AGEBABY1 = 1433 THEN CMAGEB1 = 173;	
IF AGEBABY1 = 1442 THEN CMAGEB1 = 174;	IF AGEBABY1 = 1450 THEN CMAGEB1 = 175;			IF AGEBABY1 = 1458 THEN CMAGEB1 = 176;	IF AGEBABY1 = 1467 THEN CMAGEB1 = 177;
IF AGEBABY1 = 1475 THEN CMAGEB1 = 178;	IF AGEBABY1 = 1483 THEN CMAGEB1 = 179;			IF AGEBABY1 = 1492 THEN CMAGEB1 = 180;	IF AGEBABY1 = 1500 THEN CMAGEB1 = 181;

IF AGEBABY1 = 1508 THEN CMAGEB1 = 182;	IF AGEBABY1 = 1517 THEN CMAGEB1 = 183;			IF AGEBABY1 = 1525 THEN CMAGEB1 = 184;	IF AGEBABY1 = 1533 THEN CMAGEB1 = 185;	
IF AGEBABY1 = 1542 THEN CMAGEB1 = 186;	IF AGEBABY1 = 1550 THEN CMAGEB1 = 187;			IF AGEBABY1 = 1558 THEN CMAGEB1 = 188;	IF AGEBABY1 = 1567 THEN CMAGEB1 = 189;
IF AGEBABY1 = 1575 THEN CMAGEB1 = 190;	IF AGEBABY1 = 1583 THEN CMAGEB1 = 191;			IF AGEBABY1 = 1592 THEN CMAGEB1 = 192;	IF AGEBABY1 = 1600 THEN CMAGEB1 = 193;

IF AGEBABY1 = 1608 THEN CMAGEB1 = 194;	IF AGEBABY1 = 1617 THEN CMAGEB1 = 195;			IF AGEBABY1 = 1625 THEN CMAGEB1 = 196;	IF AGEBABY1 = 1633 THEN CMAGEB1 = 197;	
IF AGEBABY1 = 1642 THEN CMAGEB1 = 198;	IF AGEBABY1 = 1650 THEN CMAGEB1 = 199;			IF AGEBABY1 = 1658 THEN CMAGEB1 = 200;	IF AGEBABY1 = 1667 THEN CMAGEB1 = 201;
IF AGEBABY1 = 1675 THEN CMAGEB1 = 202;	IF AGEBABY1 = 1683 THEN CMAGEB1 = 203;			IF AGEBABY1 = 1692 THEN CMAGEB1 = 204;	IF AGEBABY1 = 1700 THEN CMAGEB1 = 205;

IF AGEBABY1 = 1708 THEN CMAGEB1 = 206;	IF AGEBABY1 = 1717 THEN CMAGEB1 = 207;			IF AGEBABY1 = 1725 THEN CMAGEB1 = 208;	IF AGEBABY1 = 1733 THEN CMAGEB1 = 209;	
IF AGEBABY1 = 1742 THEN CMAGEB1 = 210;	IF AGEBABY1 = 1750 THEN CMAGEB1 = 211;			IF AGEBABY1 = 1758 THEN CMAGEB1 = 212;	IF AGEBABY1 = 1767 THEN CMAGEB1 = 213;
IF AGEBABY1 = 1775 THEN CMAGEB1 = 214;	IF AGEBABY1 = 1783 THEN CMAGEB1 = 215;			IF AGEBABY1 = 1792 THEN CMAGEB1 = 216;	IF AGEBABY1 = 1800 THEN CMAGEB1 = 217;

IF AGEBABY1 = 1808 THEN CMAGEB1 = 217;	IF AGEBABY1 = 1817 THEN CMAGEB1 = 218;			IF AGEBABY1 = 1825 THEN CMAGEB1 = 219;	IF AGEBABY1 = 1833 THEN CMAGEB1 = 220;	
IF AGEBABY1 = 1842 THEN CMAGEB1 = 221;	IF AGEBABY1 = 1850 THEN CMAGEB1 = 222;			IF AGEBABY1 = 1858 THEN CMAGEB1 = 223;	IF AGEBABY1 = 1867 THEN CMAGEB1 = 224;
IF AGEBABY1 = 1875 THEN CMAGEB1 = 225;	IF AGEBABY1 = 1883 THEN CMAGEB1 = 226;			IF AGEBABY1 = 1892 THEN CMAGEB1 = 227;	IF AGEBABY1 = 1900 THEN CMAGEB1 = 228;

IF AGEBABY1 = 1908 THEN CMAGEB1 = 229;	IF AGEBABY1 = 1917 THEN CMAGEB1 = 230;			IF AGEBABY1 = 1925 THEN CMAGEB1 = 231;	IF AGEBABY1 = 1933 THEN CMAGEB1 = 232;	
IF AGEBABY1 = 1942 THEN CMAGEB1 = 233;	IF AGEBABY1 = 1950 THEN CMAGEB1 = 234;			IF AGEBABY1 = 1958 THEN CMAGEB1 = 235;	IF AGEBABY1 = 1967 THEN CMAGEB1 = 236;
IF AGEBABY1 = 1975 THEN CMAGEB1 = 237;	IF AGEBABY1 = 1983 THEN CMAGEB1 = 238;			IF AGEBABY1 = 1992 THEN CMAGEB1 = 239;	IF AGEBABY1 = 2000 THEN CMAGEB1 = 240;

TEENB20 = 2;
IF 600 LE AGEBABY1 < 2000 THEN TEENB20 = 1;
LABEL TEENB20 = 'HAD BIRTH < AGE 20 (AGEBABY1)';
		
															*** BACKGROUND VARS ***;
MOTHERED = .;
IF 0 LE EDUCMOM LE 11 THEN MOTHERED = 1;
IF EDUCMOM = 12 THEN MOTHERED = 2;
IF EDUCMOM IN (13,14,15) THEN MOTHERED = 3;
IF EDUCMOM IN (16,17,18,19) THEN MOTHERED = 4;
LABEL MOTHERED = 'MOTHER^S EDUC (EDUCMOM)'; 

PARENTS = .;
IF INTCTFAM IN (1,2) THEN PARENTS = 1;
IF INTCTFAM = 3 THEN PARENTS = 2;
LABEL PARENTS = 'LIVED W/BOTH PARENTS ALL YOUTH (INTCTFAM)'; 

IMMIGRANT = .; 
IF BRNOUT = 1 THEN IMMIGRANT = 1;
IF BRNOUT = 2 OR BRNOUT = . THEN IMMIGRANT = 2;
LABEL IMMIGRANT = 'BORN O/S THE U.S. (BRNOUT)';

YRIMM = .;
IF  613 LE STRUS LE  624 THEN YRIMM = 1951;		IF  625 LE STRUS LE  636 THEN YRIMM = 1952;		IF  637 LE STRUS LE  648 THEN YRIMM = 1953;		IF  649 LE STRUS LE  660 THEN YRIMM = 1954;		
IF  661 LE STRUS LE  672 THEN YRIMM = 1955;		IF  673 LE STRUS LE  684 THEN YRIMM = 1956;		IF  685 LE STRUS LE  696 THEN YRIMM = 1957;		IF  697 LE STRUS LE  708 THEN YRIMM = 1958;
IF  709 LE STRUS LE  720 THEN YRIMM = 1959;		IF  721 LE STRUS LE  732 THEN YRIMM = 1960;		IF  733 LE STRUS LE  744 THEN YRIMM = 1961;		IF  745 LE STRUS LE  756 THEN YRIMM = 1962;
IF  757 LE STRUS LE  768 THEN YRIMM = 1963;		IF  769 LE STRUS LE  780 THEN YRIMM = 1964;		IF  781 LE STRUS LE  792 THEN YRIMM = 1965;		IF  793 LE STRUS LE  804 THEN YRIMM = 1966;
IF  805 LE STRUS LE  816 THEN YRIMM = 1967;		IF  817 LE STRUS LE  828 THEN YRIMM = 1968;		IF  829 LE STRUS LE  840 THEN YRIMM = 1969;		IF  841 LE STRUS LE  852 THEN YRIMM = 1970;
IF  853 LE STRUS LE  864 THEN YRIMM = 1971;		IF  865 LE STRUS LE  876 THEN YRIMM = 1972;		IF  877 LE STRUS LE  888 THEN YRIMM = 1973;		IF  889 LE STRUS LE  900 THEN YRIMM = 1974;
IF  901 LE STRUS LE  912 THEN YRIMM = 1975;		IF  913 LE STRUS LE  924 THEN YRIMM = 1976;		IF  925 LE STRUS LE  936 THEN YRIMM = 1977;		IF  937 LE STRUS LE  948 THEN YRIMM = 1978;
IF  949 LE STRUS LE  960 THEN YRIMM = 1979;		IF  961 LE STRUS LE  972 THEN YRIMM = 1980;		IF  973 LE STRUS LE  984 THEN YRIMM = 1981;		IF  985 LE STRUS LE  996 THEN YRIMM = 1982;
IF  997 LE STRUS LE 1008 THEN YRIMM = 1983;		IF 1009 LE STRUS LE 1020 THEN YRIMM = 1984;		IF 1021 LE STRUS LE 1032 THEN YRIMM = 1985;		IF 1033 LE STRUS LE 1044 THEN YRIMM = 1986;
IF 1045 LE STRUS LE 1056 THEN YRIMM = 1987;		IF 1057 LE STRUS LE 1068 THEN YRIMM = 1988;		IF 1069 LE STRUS LE 1080 THEN YRIMM = 1989;		IF 1081 LE STRUS LE 1092 THEN YRIMM = 1990;
IF 1093 LE STRUS LE 1104 THEN YRIMM = 1991;		IF 1105 LE STRUS LE 1116 THEN YRIMM = 1992;		IF 1117 LE STRUS LE 1128 THEN YRIMM = 1993;		IF 1129 LE STRUS LE 1140 THEN YRIMM = 1994;
IF 1141 LE STRUS LE 1152 THEN YRIMM = 1995;
LABEL YRIMM = 'YR R IMMIGRATED TO U.S. (STRUS)'; 

IMM20PLUS = .;
IF IMMIGRANT = 2 THEN IMM20PLUS = 2;
IF IMMIGRANT = 1 THEN DO;
  IF YRIMM GE YOB + 20 THEN IMM20PLUS = 1;
  IF YRIMM < YOB + 20 THEN IMM20PLUS = 2;
END;
LABEL IMM20PLUS = 'IMMIGRATED AGE 20+ (STRUS,CMBIRTH)'; 

FINALWT = POST_WT;
HISPRACE2 = HISPRACE;
SEST = COL_STR;
SECU = PANEL;
											    * POST-TEEN OUTCOMES *;
EDUCATION = .;
IF 1 LE HIEDUC LE 8 THEN EDUCATION = 1;				* < HS;
IF HIEDUC = 9 THEN EDUCATION = 2;					* HS;
IF HIEDUC IN (10,11) THEN EDUCATION = 3;			* PSE;
IF HIEDUC IN (12,13,14,15) THEN EDUCATION = 4;		* BA+;
LABEL EDUCATION = 'R EDUCATION (HIEDUC)';

MARITAL = .;
IF FMARITAL = 1 THEN MARITAL = 1;					* MARRIED;
IF FMARITAL IN (3,4,5) THEN MARITAL = 2;			* WIDOW/SEP/DIV;
IF FMARITAL = 6 THEN MARITAL = 3;					* NEVER MARRIED;
LABEL MARITAL = 'R MARITAL STATUS (FMARITAL)'; 

LFPFT = .;
IF LABORFOR IN (1,3,4) THEN LFPFT = 1;
IF LABORFOR IN (2,5,6,7,8,9,10,11) THEN LFPFT = 2;
LABEL LFPFT = 'WORKS F/T (LABORFOR)';

FPL = POVERTY;
IF POVERTY GE 500 THEN FPL = 500;
LABEL FPL = '% FEDERAL POVERTY LEVEL (POVERTY)'; 

KEEP
SEST 		SECU		AGE_R		AGEMOMB1	AGEBABY1	MOTHERED	HISPRACE2	CMBIRTH 	CMINTVW 	CMAGE		TEENB20		
CMAGEB1		IMMIGRANT	IMM20PLUS 	PARENTS		EDUCATION	MARITAL 	PARITY		LFPFT		FPL			YOB			FINALWT		;
																	
																		**************;
DATA NSFG02;															**** 2002 ****;
SET OUT02.NSFG02F;														**************;

CYCLE = 2;

CMAGE = (CMINTVW - CMBIRTH)/12;
CMAGE20 = 0;
IF CMAGE GE 20 THEN CMAGE20 = 1;
LABEL CMAGE = 'AGE IN CENTURY MONTHS (CMINTVW, CMBIRTH)'
	  CMAGE20 = '20 OR OLDER AT INTW'; 

YOB = .;
IF  685 LE CMBIRTH LE  696 THEN YOB = 1957;			IF  697 LE CMBIRTH LE  708 THEN YOB = 1958;			IF  709 LE CMBIRTH LE  720 THEN YOB = 1959;
IF  721 LE CMBIRTH LE  732 THEN YOB = 1960;			IF  733 LE CMBIRTH LE  744 THEN YOB = 1961;			IF  745 LE CMBIRTH LE  756 THEN YOB = 1962;		
IF  757 LE CMBIRTH LE  768 THEN YOB = 1963;			IF  769 LE CMBIRTH LE  780 THEN YOB = 1964;			IF  781 LE CMBIRTH LE  792 THEN YOB = 1965;
IF  793 LE CMBIRTH LE  804 THEN YOB = 1966;			IF  805 LE CMBIRTH LE  816 THEN YOB = 1967;			IF  817 LE CMBIRTH LE  828 THEN YOB = 1968;			
IF  829 LE CMBIRTH LE  840 THEN YOB = 1969;			IF  841 LE CMBIRTH LE  852 THEN YOB = 1970;			IF  853 LE CMBIRTH LE  864 THEN YOB = 1971;
IF  865 LE CMBIRTH LE  876 THEN YOB = 1972;			IF  877 LE CMBIRTH LE  888 THEN YOB = 1973;			IF  889 LE CMBIRTH LE  900 THEN YOB = 1974;			
IF  901 LE CMBIRTH LE  912 THEN YOB = 1975;			IF  913 LE CMBIRTH LE  924 THEN YOB = 1976;			IF  925 LE CMBIRTH LE  936 THEN YOB = 1977;
IF  937 LE CMBIRTH LE  948 THEN YOB = 1978;			IF  949 LE CMBIRTH LE  960 THEN YOB = 1979;			IF  961 LE CMBIRTH LE  972 THEN YOB = 1980;
IF  973 LE CMBIRTH LE  984 THEN YOB = 1981;			IF  985 LE CMBIRTH LE  996 THEN YOB = 1982;			IF  997 LE CMBIRTH LE 1008 THEN YOB = 1983;
IF 1009 LE CMBIRTH LE 1020 THEN YOB = 1984; 		IF 1021 LE CMBIRTH LE 1032 THEN YOB = 1985;			IF 1033 LE CMBIRTH LE 1044 THEN YOB = 1986;			
IF 1045 LE CMBIRTH LE 1056 THEN YOB = 1987;			IF 1057 LE CMBIRTH LE 1068 THEN YOB = 1988;			IF 1069 LE CMBIRTH LE 1080 THEN YOB = 1989;
IF 1081 LE CMBIRTH LE 1092 THEN YOB = 1990;	
LABEL YOB = 'YEAR OF BIRTH (FROM CB)';

					* AGE @ 1ST BIRTH *;
CMAGEB1 = .;
IF AGEBABY1 =  600 THEN CMAGEB1 =  73;

IF AGEBABY1 =  608 THEN CMAGEB1 =  74;	IF AGEBABY1 =  616 THEN CMAGEB1 =  75;			IF AGEBABY1 =  625 THEN CMAGEB1 =  76;	IF AGEBABY1 =  633 THEN CMAGEB1 =  77;	
IF AGEBABY1 =  641 THEN CMAGEB1 =  78;	IF AGEBABY1 =  650 THEN CMAGEB1 =  79;			IF AGEBABY1 =  658 THEN CMAGEB1 =  80;	IF AGEBABY1 =  666 THEN CMAGEB1 =  81;
IF AGEBABY1 =  675 THEN CMAGEB1 =  82;	IF AGEBABY1 =  683 THEN CMAGEB1 =  83;			IF AGEBABY1 =  691 THEN CMAGEB1 =  84;	IF AGEBABY1 =  700 THEN CMAGEB1 =  85;

IF AGEBABY1 =  708 THEN CMAGEB1 =  86;	IF AGEBABY1 =  716 THEN CMAGEB1 =  87;			IF AGEBABY1 =  725 THEN CMAGEB1 =  88;	IF AGEBABY1 =  733 THEN CMAGEB1 =  89;	
IF AGEBABY1 =  741 THEN CMAGEB1 =  90;	IF AGEBABY1 =  750 THEN CMAGEB1 =  91;			IF AGEBABY1 =  758 THEN CMAGEB1 =  92;	IF AGEBABY1 =  766 THEN CMAGEB1 =  93;
IF AGEBABY1 =  775 THEN CMAGEB1 =  94;	IF AGEBABY1 =  783 THEN CMAGEB1 =  95;			IF AGEBABY1 =  791 THEN CMAGEB1 =  96;	IF AGEBABY1 =  800 THEN CMAGEB1 =  97;

IF AGEBABY1 =  808 THEN CMAGEB1 =  98;	IF AGEBABY1 =  816 THEN CMAGEB1 =  99;			IF AGEBABY1 =  825 THEN CMAGEB1 = 100;	IF AGEBABY1 =  833 THEN CMAGEB1 = 101;	
IF AGEBABY1 =  841 THEN CMAGEB1 = 102;	IF AGEBABY1 =  850 THEN CMAGEB1 = 103;			IF AGEBABY1 =  858 THEN CMAGEB1 = 104;	IF AGEBABY1 =  866 THEN CMAGEB1 = 105;
IF AGEBABY1 =  875 THEN CMAGEB1 = 106;	IF AGEBABY1 =  883 THEN CMAGEB1 = 107;			IF AGEBABY1 =  891 THEN CMAGEB1 = 108;	IF AGEBABY1 =  900 THEN CMAGEB1 = 109;

IF AGEBABY1 =  908 THEN CMAGEB1 = 110;	IF AGEBABY1 =  916 THEN CMAGEB1 = 111;			IF AGEBABY1 =  925 THEN CMAGEB1 = 112;	IF AGEBABY1 =  933 THEN CMAGEB1 = 113;	
IF AGEBABY1 =  941 THEN CMAGEB1 = 114;	IF AGEBABY1 =  950 THEN CMAGEB1 = 115;			IF AGEBABY1 =  958 THEN CMAGEB1 = 116;	IF AGEBABY1 =  966 THEN CMAGEB1 = 117;
IF AGEBABY1 =  975 THEN CMAGEB1 = 118;	IF AGEBABY1 =  983 THEN CMAGEB1 = 119;			IF AGEBABY1 =  991 THEN CMAGEB1 = 120;	IF AGEBABY1 = 1000 THEN CMAGEB1 = 121;

IF AGEBABY1 = 1008 THEN CMAGEB1 = 122;	IF AGEBABY1 = 1016 THEN CMAGEB1 = 123;			IF AGEBABY1 = 1025 THEN CMAGEB1 = 124;	IF AGEBABY1 = 1033 THEN CMAGEB1 = 125;	
IF AGEBABY1 = 1041 THEN CMAGEB1 = 126;	IF AGEBABY1 = 1050 THEN CMAGEB1 = 127;			IF AGEBABY1 = 1058 THEN CMAGEB1 = 128;	IF AGEBABY1 = 1066 THEN CMAGEB1 = 129;
IF AGEBABY1 = 1075 THEN CMAGEB1 = 130;	IF AGEBABY1 = 1083 THEN CMAGEB1 = 131;			IF AGEBABY1 = 1091 THEN CMAGEB1 = 132;	IF AGEBABY1 = 1100 THEN CMAGEB1 = 133;

IF AGEBABY1 = 1108 THEN CMAGEB1 = 134;	IF AGEBABY1 = 1116 THEN CMAGEB1 = 135;			IF AGEBABY1 = 1125 THEN CMAGEB1 = 136;	IF AGEBABY1 = 1133 THEN CMAGEB1 = 137;	
IF AGEBABY1 = 1141 THEN CMAGEB1 = 138;	IF AGEBABY1 = 1150 THEN CMAGEB1 = 139;			IF AGEBABY1 = 1158 THEN CMAGEB1 = 140;	IF AGEBABY1 = 1166 THEN CMAGEB1 = 141;
IF AGEBABY1 = 1175 THEN CMAGEB1 = 142;	IF AGEBABY1 = 1183 THEN CMAGEB1 = 143;			IF AGEBABY1 = 1191 THEN CMAGEB1 = 144;	IF AGEBABY1 = 1200 THEN CMAGEB1 = 145;

IF AGEBABY1 = 1208 THEN CMAGEB1 = 146;	IF AGEBABY1 = 1216 THEN CMAGEB1 = 147;			IF AGEBABY1 = 1225 THEN CMAGEB1 = 148;	IF AGEBABY1 = 1233 THEN CMAGEB1 = 149;	
IF AGEBABY1 = 1241 THEN CMAGEB1 = 150;	IF AGEBABY1 = 1250 THEN CMAGEB1 = 151;			IF AGEBABY1 = 1258 THEN CMAGEB1 = 152;	IF AGEBABY1 = 1266 THEN CMAGEB1 = 153;
IF AGEBABY1 = 1275 THEN CMAGEB1 = 154;	IF AGEBABY1 = 1283 THEN CMAGEB1 = 155;			IF AGEBABY1 = 1291 THEN CMAGEB1 = 156;	IF AGEBABY1 = 1300 THEN CMAGEB1 = 157;

IF AGEBABY1 = 1308 THEN CMAGEB1 = 158;	IF AGEBABY1 = 1316 THEN CMAGEB1 = 159;			IF AGEBABY1 = 1325 THEN CMAGEB1 = 160;	IF AGEBABY1 = 1333 THEN CMAGEB1 = 161;	
IF AGEBABY1 = 1341 THEN CMAGEB1 = 162;	IF AGEBABY1 = 1350 THEN CMAGEB1 = 163;			IF AGEBABY1 = 1358 THEN CMAGEB1 = 164;	IF AGEBABY1 = 1366 THEN CMAGEB1 = 165;
IF AGEBABY1 = 1375 THEN CMAGEB1 = 166;	IF AGEBABY1 = 1383 THEN CMAGEB1 = 167;			IF AGEBABY1 = 1391 THEN CMAGEB1 = 168;	IF AGEBABY1 = 1400 THEN CMAGEB1 = 169;

IF AGEBABY1 = 1408 THEN CMAGEB1 = 170;	IF AGEBABY1 = 1416 THEN CMAGEB1 = 171;			IF AGEBABY1 = 1425 THEN CMAGEB1 = 172;	IF AGEBABY1 = 1433 THEN CMAGEB1 = 173;	
IF AGEBABY1 = 1441 THEN CMAGEB1 = 174;	IF AGEBABY1 = 1450 THEN CMAGEB1 = 175;			IF AGEBABY1 = 1458 THEN CMAGEB1 = 176;	IF AGEBABY1 = 1466 THEN CMAGEB1 = 177;
IF AGEBABY1 = 1475 THEN CMAGEB1 = 178;	IF AGEBABY1 = 1483 THEN CMAGEB1 = 179;			IF AGEBABY1 = 1491 THEN CMAGEB1 = 180;	IF AGEBABY1 = 1500 THEN CMAGEB1 = 181;

IF AGEBABY1 = 1508 THEN CMAGEB1 = 182;	IF AGEBABY1 = 1516 THEN CMAGEB1 = 183;			IF AGEBABY1 = 1525 THEN CMAGEB1 = 184;	IF AGEBABY1 = 1533 THEN CMAGEB1 = 185;	
IF AGEBABY1 = 1541 THEN CMAGEB1 = 186;	IF AGEBABY1 = 1550 THEN CMAGEB1 = 187;			IF AGEBABY1 = 1558 THEN CMAGEB1 = 188;	IF AGEBABY1 = 1566 THEN CMAGEB1 = 189;
IF AGEBABY1 = 1575 THEN CMAGEB1 = 190;	IF AGEBABY1 = 1583 THEN CMAGEB1 = 191;			IF AGEBABY1 = 1591 THEN CMAGEB1 = 192;	IF AGEBABY1 = 1600 THEN CMAGEB1 = 193;

IF AGEBABY1 = 1608 THEN CMAGEB1 = 194;	IF AGEBABY1 = 1616 THEN CMAGEB1 = 195;			IF AGEBABY1 = 1625 THEN CMAGEB1 = 196;	IF AGEBABY1 = 1633 THEN CMAGEB1 = 197;	
IF AGEBABY1 = 1641 THEN CMAGEB1 = 198;	IF AGEBABY1 = 1650 THEN CMAGEB1 = 199;			IF AGEBABY1 = 1658 THEN CMAGEB1 = 200;	IF AGEBABY1 = 1666 THEN CMAGEB1 = 201;
IF AGEBABY1 = 1675 THEN CMAGEB1 = 202;	IF AGEBABY1 = 1683 THEN CMAGEB1 = 203;			IF AGEBABY1 = 1691 THEN CMAGEB1 = 204;	IF AGEBABY1 = 1700 THEN CMAGEB1 = 205;

IF AGEBABY1 = 1708 THEN CMAGEB1 = 206;	IF AGEBABY1 = 1716 THEN CMAGEB1 = 207;			IF AGEBABY1 = 1725 THEN CMAGEB1 = 208;	IF AGEBABY1 = 1733 THEN CMAGEB1 = 209;	
IF AGEBABY1 = 1741 THEN CMAGEB1 = 210;	IF AGEBABY1 = 1750 THEN CMAGEB1 = 211;			IF AGEBABY1 = 1758 THEN CMAGEB1 = 212;	IF AGEBABY1 = 1766 THEN CMAGEB1 = 213;
IF AGEBABY1 = 1775 THEN CMAGEB1 = 214;	IF AGEBABY1 = 1783 THEN CMAGEB1 = 215;			IF AGEBABY1 = 1791 THEN CMAGEB1 = 216;	IF AGEBABY1 = 1800 THEN CMAGEB1 = 217;

IF AGEBABY1 = 1808 THEN CMAGEB1 = 217;	IF AGEBABY1 = 1816 THEN CMAGEB1 = 218;			IF AGEBABY1 = 1825 THEN CMAGEB1 = 219;	IF AGEBABY1 = 1833 THEN CMAGEB1 = 220;	
IF AGEBABY1 = 1841 THEN CMAGEB1 = 221;	IF AGEBABY1 = 1850 THEN CMAGEB1 = 222;			IF AGEBABY1 = 1858 THEN CMAGEB1 = 223;	IF AGEBABY1 = 1866 THEN CMAGEB1 = 224;
IF AGEBABY1 = 1875 THEN CMAGEB1 = 225;	IF AGEBABY1 = 1883 THEN CMAGEB1 = 226;			IF AGEBABY1 = 1891 THEN CMAGEB1 = 227;	IF AGEBABY1 = 1900 THEN CMAGEB1 = 228;

IF AGEBABY1 = 1908 THEN CMAGEB1 = 229;	IF AGEBABY1 = 1916 THEN CMAGEB1 = 230;			IF AGEBABY1 = 1925 THEN CMAGEB1 = 231;	IF AGEBABY1 = 1933 THEN CMAGEB1 = 232;	
IF AGEBABY1 = 1941 THEN CMAGEB1 = 233;	IF AGEBABY1 = 1950 THEN CMAGEB1 = 234;			IF AGEBABY1 = 1958 THEN CMAGEB1 = 235;	IF AGEBABY1 = 1966 THEN CMAGEB1 = 236;
IF AGEBABY1 = 1975 THEN CMAGEB1 = 237;	IF AGEBABY1 = 1983 THEN CMAGEB1 = 238;			IF AGEBABY1 = 1991 THEN CMAGEB1 = 239;	IF AGEBABY1 = 2000 THEN CMAGEB1 = 240;

TEENB20 = 2;
IF 600 LE AGEBABY1 < 2000 THEN TEENB20 = 1;
LABEL TEENB20 = 'HAD BIRTH < AGE 20 (AGEBABY1)';

					* IMMIGRANT STATUS/HISTORY *;
IMMIGRANT = .;
IF BRNOUT = 1 THEN IMMIGRANT = 1; 
IF BRNOUT = 5 THEN IMMIGRANT = 2;
LABEL IMMIGRANT = 'BORN O/S THE U.S. (BRNOUT)'; 

IMM20PLUS = .;
IF IMMIGRANT = 2 THEN IMM20PLUS = 2;
IF IMMIGRANT = 1 THEN DO;
  IF YRSTRUS GE YOB + 20 THEN IMM20PLUS = 1;
  IF YRSTRUS < YOB + 20 THEN IMM20PLUS = 2;
END; 
IF YRSTRUS > 9997 THEN IMM20PLUS = .;
LABEL IMM20PLUS = 'IMMIGRATED AGE 20+ (YSTRUS,CMBIRTH)';

FINALWT = FINALWGT;
HISPRACE2 = HISPRACE;
SECU = SECU_R;
MOTHERED = EDUCMOM;
LABEL MOTHERED = 'MOTHER^S EDUC (EDUCMOM)'; 
PARENTS = INTCTFAM;
LABEL PARENTS = 'LIVED W/BOTH PARENTS ALL YOUTH (INTCTFAM)'; 
FPL = POVERTY;
LABEL FPL = '% FEDERAL POVERTY LEVEL (POVERTY)'; 

		    * POST-TEEN OUTCOMES *;
EDUCATION = .;
IF 5 LE HIEDUC LE 8 THEN EDUCATION = 1;				* < HS;
IF HIEDUC = 9 THEN EDUCATION = 2;					* HS;
IF HIEDUC IN (10,11) THEN EDUCATION = 3;			* PSE;
IF HIEDUC IN (12,13,14,15) THEN EDUCATION = 4;		* BA+;
LABEL EDUCATION = 'R EDUCATION (HIEDUC)';

MARITAL = .;
IF FMARITAL = 1 THEN MARITAL = 1;					* MARRIED;
IF FMARITAL IN (2,3,4) THEN MARITAL = 2;			* WIDOW/SEP/DIV;
IF FMARITAL = 5 THEN MARITAL = 3;					* NEVER MARRIED;
LABEL MARITAL = 'R MARITAL STATUS (FMARITAL)'; 

LFPFT = .;
IF LABORFOR IN (1,3,4) THEN LFPFT = 1;
IF LABORFOR IN (2,5,6,7,8,9) THEN LFPFT = 2;
LABEL LFPFT = 'WORKS F/T (LABORFOR)';

KEEP
SEST 		SECU		AGE_R		AGEMOMB1	AGEBABY1	MOTHERED	HISPRACE2	CMBIRTH 	CMINTVW 	CMAGE		TEENB20		CMAGE20		 
IMMIGRANT	IMM20PLUS	PARENTS		EDUCATION	MARITAL 	FPL			LFPFT		YOB			FINALWT		;

															***************;
DATA NSFG0610;												** 2006-2010 **;
SET OUT10.NSFG0610F;										***************;

CYCLE = 3;

CMAGE = (CMINTVW - CMBIRTH)/12;
CMAGE20 = 0;
IF CMAGE GE 20 THEN CMAGE20 = 1;
LABEL CMAGE = 'AGE IN CENTURY MONTHS (CMINTVW, CMBIRTH)'
	  CMAGE20 = '20 OR OLDER AT INTW'; 

YOB = .;
IF  733 LE CMBIRTH LE  744 THEN YOB = 1961;			IF  745 LE CMBIRTH LE  756 THEN YOB = 1962;			IF  757 LE CMBIRTH LE  768 THEN YOB = 1963;
IF  769 LE CMBIRTH LE  780 THEN YOB = 1964;			IF  781 LE CMBIRTH LE  792 THEN YOB = 1965;			IF  793 LE CMBIRTH LE  804 THEN YOB = 1966;			
IF  805 LE CMBIRTH LE  816 THEN YOB = 1967;			IF  817 LE CMBIRTH LE  828 THEN YOB = 1968;			IF  829 LE CMBIRTH LE  840 THEN YOB = 1969;
IF  841 LE CMBIRTH LE  852 THEN YOB = 1970;			IF  853 LE CMBIRTH LE  864 THEN YOB = 1971;			IF  865 LE CMBIRTH LE  876 THEN YOB = 1972;			
IF  877 LE CMBIRTH LE  888 THEN YOB = 1973;			IF  889 LE CMBIRTH LE  900 THEN YOB = 1974;			IF  901 LE CMBIRTH LE  912 THEN YOB = 1975;
IF  913 LE CMBIRTH LE  924 THEN YOB = 1976;			IF  925 LE CMBIRTH LE  936 THEN YOB = 1977;			IF  937 LE CMBIRTH LE  948 THEN YOB = 1978;			
IF  949 LE CMBIRTH LE  960 THEN YOB = 1979;			IF  961 LE CMBIRTH LE  972 THEN YOB = 1980;			IF  973 LE CMBIRTH LE  984 THEN YOB = 1981;
IF  985 LE CMBIRTH LE  996 THEN YOB = 1982;			IF  997 LE CMBIRTH LE 1008 THEN YOB = 1983;			IF 1009 LE CMBIRTH LE 1020 THEN YOB = 1984;			
IF 1021 LE CMBIRTH LE 1032 THEN YOB = 1985;			IF 1033 LE CMBIRTH LE 1044 THEN YOB = 1986;			IF 1045 LE CMBIRTH LE 1056 THEN YOB = 1987;
IF 1057 LE CMBIRTH LE 1068 THEN YOB = 1988;			IF 1069 LE CMBIRTH LE 1080 THEN YOB = 1989;			IF 1081 LE CMBIRTH LE 1092 THEN YOB = 1990;			
LABEL YOB = 'YEAR OF BIRTH (FROM CB)';

					*******************;
					* AGE @ 1ST BIRTH *;
					*******************;

CMAGEB1 = .;
IF AGEBABY1 =  600 THEN CMAGEB1 =  73;

IF AGEBABY1 =  608 THEN CMAGEB1 =  74;	IF AGEBABY1 =  616 THEN CMAGEB1 =  75;			IF AGEBABY1 =  625 THEN CMAGEB1 =  76;	IF AGEBABY1 =  633 THEN CMAGEB1 =  77;	
IF AGEBABY1 =  641 THEN CMAGEB1 =  78;	IF AGEBABY1 =  650 THEN CMAGEB1 =  79;			IF AGEBABY1 =  658 THEN CMAGEB1 =  80;	IF AGEBABY1 =  666 THEN CMAGEB1 =  81;
IF AGEBABY1 =  675 THEN CMAGEB1 =  82;	IF AGEBABY1 =  683 THEN CMAGEB1 =  83;			IF AGEBABY1 =  691 THEN CMAGEB1 =  84;	IF AGEBABY1 =  700 THEN CMAGEB1 =  85;

IF AGEBABY1 =  708 THEN CMAGEB1 =  86;	IF AGEBABY1 =  716 THEN CMAGEB1 =  87;			IF AGEBABY1 =  725 THEN CMAGEB1 =  88;	IF AGEBABY1 =  733 THEN CMAGEB1 =  89;	
IF AGEBABY1 =  741 THEN CMAGEB1 =  90;	IF AGEBABY1 =  750 THEN CMAGEB1 =  91;			IF AGEBABY1 =  758 THEN CMAGEB1 =  92;	IF AGEBABY1 =  766 THEN CMAGEB1 =  93;
IF AGEBABY1 =  775 THEN CMAGEB1 =  94;	IF AGEBABY1 =  783 THEN CMAGEB1 =  95;			IF AGEBABY1 =  791 THEN CMAGEB1 =  96;	IF AGEBABY1 =  800 THEN CMAGEB1 =  97;

IF AGEBABY1 =  808 THEN CMAGEB1 =  98;	IF AGEBABY1 =  816 THEN CMAGEB1 =  99;			IF AGEBABY1 =  825 THEN CMAGEB1 = 100;	IF AGEBABY1 =  833 THEN CMAGEB1 = 101;	
IF AGEBABY1 =  841 THEN CMAGEB1 = 102;	IF AGEBABY1 =  850 THEN CMAGEB1 = 103;			IF AGEBABY1 =  858 THEN CMAGEB1 = 104;	IF AGEBABY1 =  866 THEN CMAGEB1 = 105;
IF AGEBABY1 =  875 THEN CMAGEB1 = 106;	IF AGEBABY1 =  883 THEN CMAGEB1 = 107;			IF AGEBABY1 =  891 THEN CMAGEB1 = 108;	IF AGEBABY1 =  900 THEN CMAGEB1 = 109;

IF AGEBABY1 =  908 THEN CMAGEB1 = 110;	IF AGEBABY1 =  916 THEN CMAGEB1 = 111;			IF AGEBABY1 =  925 THEN CMAGEB1 = 112;	IF AGEBABY1 =  933 THEN CMAGEB1 = 113;	
IF AGEBABY1 =  941 THEN CMAGEB1 = 114;	IF AGEBABY1 =  950 THEN CMAGEB1 = 115;			IF AGEBABY1 =  958 THEN CMAGEB1 = 116;	IF AGEBABY1 =  966 THEN CMAGEB1 = 117;
IF AGEBABY1 =  975 THEN CMAGEB1 = 118;	IF AGEBABY1 =  983 THEN CMAGEB1 = 119;			IF AGEBABY1 =  991 THEN CMAGEB1 = 120;	IF AGEBABY1 = 1000 THEN CMAGEB1 = 121;

IF AGEBABY1 = 1008 THEN CMAGEB1 = 122;	IF AGEBABY1 = 1016 THEN CMAGEB1 = 123;			IF AGEBABY1 = 1025 THEN CMAGEB1 = 124;	IF AGEBABY1 = 1033 THEN CMAGEB1 = 125;	
IF AGEBABY1 = 1041 THEN CMAGEB1 = 126;	IF AGEBABY1 = 1050 THEN CMAGEB1 = 127;			IF AGEBABY1 = 1058 THEN CMAGEB1 = 128;	IF AGEBABY1 = 1066 THEN CMAGEB1 = 129;
IF AGEBABY1 = 1075 THEN CMAGEB1 = 130;	IF AGEBABY1 = 1083 THEN CMAGEB1 = 131;			IF AGEBABY1 = 1091 THEN CMAGEB1 = 132;	IF AGEBABY1 = 1100 THEN CMAGEB1 = 133;

IF AGEBABY1 = 1108 THEN CMAGEB1 = 134;	IF AGEBABY1 = 1116 THEN CMAGEB1 = 135;			IF AGEBABY1 = 1125 THEN CMAGEB1 = 136;	IF AGEBABY1 = 1133 THEN CMAGEB1 = 137;	
IF AGEBABY1 = 1141 THEN CMAGEB1 = 138;	IF AGEBABY1 = 1150 THEN CMAGEB1 = 139;			IF AGEBABY1 = 1158 THEN CMAGEB1 = 140;	IF AGEBABY1 = 1166 THEN CMAGEB1 = 141;
IF AGEBABY1 = 1175 THEN CMAGEB1 = 142;	IF AGEBABY1 = 1183 THEN CMAGEB1 = 143;			IF AGEBABY1 = 1191 THEN CMAGEB1 = 144;	IF AGEBABY1 = 1200 THEN CMAGEB1 = 145;

IF AGEBABY1 = 1208 THEN CMAGEB1 = 146;	IF AGEBABY1 = 1216 THEN CMAGEB1 = 147;			IF AGEBABY1 = 1225 THEN CMAGEB1 = 148;	IF AGEBABY1 = 1233 THEN CMAGEB1 = 149;	
IF AGEBABY1 = 1241 THEN CMAGEB1 = 150;	IF AGEBABY1 = 1250 THEN CMAGEB1 = 151;			IF AGEBABY1 = 1258 THEN CMAGEB1 = 152;	IF AGEBABY1 = 1266 THEN CMAGEB1 = 153;
IF AGEBABY1 = 1275 THEN CMAGEB1 = 154;	IF AGEBABY1 = 1283 THEN CMAGEB1 = 155;			IF AGEBABY1 = 1291 THEN CMAGEB1 = 156;	IF AGEBABY1 = 1300 THEN CMAGEB1 = 157;

IF AGEBABY1 = 1308 THEN CMAGEB1 = 158;	IF AGEBABY1 = 1316 THEN CMAGEB1 = 159;			IF AGEBABY1 = 1325 THEN CMAGEB1 = 160;	IF AGEBABY1 = 1333 THEN CMAGEB1 = 161;	
IF AGEBABY1 = 1341 THEN CMAGEB1 = 162;	IF AGEBABY1 = 1350 THEN CMAGEB1 = 163;			IF AGEBABY1 = 1358 THEN CMAGEB1 = 164;	IF AGEBABY1 = 1366 THEN CMAGEB1 = 165;
IF AGEBABY1 = 1375 THEN CMAGEB1 = 166;	IF AGEBABY1 = 1383 THEN CMAGEB1 = 167;			IF AGEBABY1 = 1391 THEN CMAGEB1 = 168;	IF AGEBABY1 = 1400 THEN CMAGEB1 = 169;

IF AGEBABY1 = 1408 THEN CMAGEB1 = 170;	IF AGEBABY1 = 1416 THEN CMAGEB1 = 171;			IF AGEBABY1 = 1425 THEN CMAGEB1 = 172;	IF AGEBABY1 = 1433 THEN CMAGEB1 = 173;	
IF AGEBABY1 = 1441 THEN CMAGEB1 = 174;	IF AGEBABY1 = 1450 THEN CMAGEB1 = 175;			IF AGEBABY1 = 1458 THEN CMAGEB1 = 176;	IF AGEBABY1 = 1466 THEN CMAGEB1 = 177;
IF AGEBABY1 = 1475 THEN CMAGEB1 = 178;	IF AGEBABY1 = 1483 THEN CMAGEB1 = 179;			IF AGEBABY1 = 1491 THEN CMAGEB1 = 180;	IF AGEBABY1 = 1500 THEN CMAGEB1 = 181;

IF AGEBABY1 = 1508 THEN CMAGEB1 = 182;	IF AGEBABY1 = 1516 THEN CMAGEB1 = 183;			IF AGEBABY1 = 1525 THEN CMAGEB1 = 184;	IF AGEBABY1 = 1533 THEN CMAGEB1 = 185;	
IF AGEBABY1 = 1541 THEN CMAGEB1 = 186;	IF AGEBABY1 = 1550 THEN CMAGEB1 = 187;			IF AGEBABY1 = 1558 THEN CMAGEB1 = 188;	IF AGEBABY1 = 1566 THEN CMAGEB1 = 189;
IF AGEBABY1 = 1575 THEN CMAGEB1 = 190;	IF AGEBABY1 = 1583 THEN CMAGEB1 = 191;			IF AGEBABY1 = 1591 THEN CMAGEB1 = 192;	IF AGEBABY1 = 1600 THEN CMAGEB1 = 193;

IF AGEBABY1 = 1608 THEN CMAGEB1 = 194;	IF AGEBABY1 = 1616 THEN CMAGEB1 = 195;			IF AGEBABY1 = 1625 THEN CMAGEB1 = 196;	IF AGEBABY1 = 1633 THEN CMAGEB1 = 197;	
IF AGEBABY1 = 1641 THEN CMAGEB1 = 198;	IF AGEBABY1 = 1650 THEN CMAGEB1 = 199;			IF AGEBABY1 = 1658 THEN CMAGEB1 = 200;	IF AGEBABY1 = 1666 THEN CMAGEB1 = 201;
IF AGEBABY1 = 1675 THEN CMAGEB1 = 202;	IF AGEBABY1 = 1683 THEN CMAGEB1 = 203;			IF AGEBABY1 = 1691 THEN CMAGEB1 = 204;	IF AGEBABY1 = 1700 THEN CMAGEB1 = 205;

IF AGEBABY1 = 1708 THEN CMAGEB1 = 206;	IF AGEBABY1 = 1716 THEN CMAGEB1 = 207;			IF AGEBABY1 = 1725 THEN CMAGEB1 = 208;	IF AGEBABY1 = 1733 THEN CMAGEB1 = 209;	
IF AGEBABY1 = 1741 THEN CMAGEB1 = 210;	IF AGEBABY1 = 1750 THEN CMAGEB1 = 211;			IF AGEBABY1 = 1758 THEN CMAGEB1 = 212;	IF AGEBABY1 = 1766 THEN CMAGEB1 = 213;
IF AGEBABY1 = 1775 THEN CMAGEB1 = 214;	IF AGEBABY1 = 1783 THEN CMAGEB1 = 215;			IF AGEBABY1 = 1791 THEN CMAGEB1 = 216;	IF AGEBABY1 = 1800 THEN CMAGEB1 = 217;

IF AGEBABY1 = 1808 THEN CMAGEB1 = 217;	IF AGEBABY1 = 1816 THEN CMAGEB1 = 218;			IF AGEBABY1 = 1825 THEN CMAGEB1 = 219;	IF AGEBABY1 = 1833 THEN CMAGEB1 = 220;	
IF AGEBABY1 = 1841 THEN CMAGEB1 = 221;	IF AGEBABY1 = 1850 THEN CMAGEB1 = 222;			IF AGEBABY1 = 1858 THEN CMAGEB1 = 223;	IF AGEBABY1 = 1866 THEN CMAGEB1 = 224;
IF AGEBABY1 = 1875 THEN CMAGEB1 = 225;	IF AGEBABY1 = 1883 THEN CMAGEB1 = 226;			IF AGEBABY1 = 1891 THEN CMAGEB1 = 227;	IF AGEBABY1 = 1900 THEN CMAGEB1 = 228;

IF AGEBABY1 = 1908 THEN CMAGEB1 = 229;	IF AGEBABY1 = 1916 THEN CMAGEB1 = 230;			IF AGEBABY1 = 1925 THEN CMAGEB1 = 231;	IF AGEBABY1 = 1933 THEN CMAGEB1 = 232;	
IF AGEBABY1 = 1941 THEN CMAGEB1 = 233;	IF AGEBABY1 = 1950 THEN CMAGEB1 = 234;			IF AGEBABY1 = 1958 THEN CMAGEB1 = 235;	IF AGEBABY1 = 1966 THEN CMAGEB1 = 236;
IF AGEBABY1 = 1975 THEN CMAGEB1 = 237;	IF AGEBABY1 = 1983 THEN CMAGEB1 = 238;			IF AGEBABY1 = 1991 THEN CMAGEB1 = 239;	IF AGEBABY1 = 2000 THEN CMAGEB1 = 240;

TEENB20 = 2;
IF 600 LE AGEBABY1 < 2000 THEN TEENB20 = 1;
LABEL TEENB20 = 'HAD BIRTH < AGE 20 (AGEBABY1)';

					* IMMIGRANT STATUS/HISTORY *;
IMMIGRANT = .;
IF BRNOUT = 1 THEN IMMIGRANT = 1; 
IF BRNOUT = 5 THEN IMMIGRANT = 2;
LABEL IMMIGRANT = 'BORN O/S THE U.S. (BRNOUT)'; 

IMM20PLUS = .;
IF IMMIGRANT = 2 THEN IMM20PLUS = 2;
IF IMMIGRANT = 1 THEN DO;
  IF YRSTRUS GE YOB + 20 THEN IMM20PLUS = 1;
  IF YRSTRUS < YOB + 20 THEN IMM20PLUS = 2;
END; 
IF YRSTRUS > 9997 THEN IMM20PLUS = .;
LABEL IMM20PLUS = 'IMMIGRATED AGE 20+ (YSTRUS,CMBIRTH)';

FINALWT = WGTQ1Q16;
MOTHERED = EDUCMOM;
LABEL MOTHERED = 'MOTHER^S EDUC (EDUCMOM)'; 
PARENTS = INTCTFAM;
LABEL PARENTS = 'LIVED W/BOTH PARENTS ALL YOUTH (INTCTFAM)'; 
FPL = POVERTY;
LABEL FPL = '% FEDERAL POVERTY LEVEL (POVERTY)'; 

		    **********************;
		    * POST-TEEN OUTCOMES *;
		    **********************;

EDUCATION = .;
IF 5 LE HIEDUC LE 8 THEN EDUCATION = 1;				* < HS;
IF HIEDUC = 9 THEN EDUCATION = 2;					* HS;
IF HIEDUC IN (10,11) THEN EDUCATION = 3;			* PSE;
IF HIEDUC IN (12,13,14,15) THEN EDUCATION = 4;		* BA+;
LABEL EDUCATION = 'R EDUCATION (HIEDUC)';

MARITAL = .;
IF FMARITAL = 1 THEN MARITAL = 1;					* MARRIED;
IF FMARITAL IN (2,3,4) THEN MARITAL = 2;			* WIDOW/SEP/DIV;
IF FMARITAL = 5 THEN MARITAL = 3;					* NEVER MARRIED;
LABEL MARITAL = 'R MARITAL STATUS (FMARITAL)'; 

LFPFT = .;
IF LABORFOR IN (1,3,4) THEN LFPFT = 1;
IF LABORFOR IN (2,5,6,7,8,9) THEN LFPFT = 2;
LABEL LFPFT = 'WORKS F/T (LABORFOR)';

KEEP
SEST 		SECU		AGE_R		AGEMOMB1	AGEBABY1	MOTHERED	HISPRACE2	CMBIRTH 	CMINTVW 	CMAGE		TEENB20			CMAGE20		 
CMAGEB1		IMMIGRANT	IMM20PLUS	PARENTS		EDUCATION	MARITAL 	FPL			LFPFT		YOB			FINALWT		;


DATA IN.NSFG950210;
SET NSFG95;

PROC APPEND BASE=IN.NSFG950210 DATA=NSFG02 FORCE;
PROC FREQ; TABLES CYCLE; TITLE '95 + 02'; RUN;

PROC APPEND BASE=IN.NSFG950210 DATA=NSFG10 FORCE;
PROC FREQ; TABLES CYCLE; TITLE '95 + 02 + 06-10'; RUN;
